\name{axialnntsrandominitial}
\alias{axialnntsrandominitial}
\title{
Initial random point
}
\description{
This function generates a random point on the surface of the (M+1)-dimensional hypersphere with radius 1/sqrt(pi) which corresponds to a random parameter vector of the NNTS axial density
}
\usage{
axialnntsrandominitial(M=1)
}
\arguments{
  \item{M}{Number of components in the NNTS axial model
}
}
\value{
\item{res}{A complex vector of size M+1 which can be used as a valid initial point for the estimation functions}
}
\author{
Juan Jose Fernandez-Duran and Maria Mercedes Gregorio-Dominguez
}
\examples{
set.seed(12345)
axialnntsrandominitial(3)
axialnntsrandominitial(7)
}
